* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}


#__res__ {
	display: none;
}


html {
	font-family: 'Lato';
	font-size: 18px;
	line-height: 24px;
	font-weight: 400;
	background: var(--background);
	color: var(--color3);
}
body {
	transition: background 0.5s;
}
h1, h2, h3 {
	font-family: 'Newake';
	font-size: 50px;
	line-height: 1em;
	text-rendering: optimizeLegibility;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	font-weight: normal;
}
@media (max-width: 640px) {
	h1, h2 {
		font-size: 42px;
	}
}
em {
	font-weight: 600;
	font-size: 1.25em;
	font-style: normal;
}
header, main, footer {
	width: 100%;
	margin: 0 auto;
}
main {
	transition: opacity 0.5s;
	/*padding: 20px 0;*/
	display: flex;
	flex-direction: column;
	align-items: center;
}
main > * {
	width: 100%;
	max-width: 640px;
}
@media (max-width: 640px) {
	main > * {
		max-width: unset;
	}
}
main.hidden {
	opacity: 0;
}
.noScroll {
	overflow: hidden;
}
footer {
	background-color: var(--color3);
	color: var(--background);
	text-align: center;
	padding: 40px 20px;
}
body.noScroll footer {
	opacity: 0;
}


#logo svg {
	padding: 20px 20px 0;
}
#logo svg path {
	fill: var(--color3);
}
#intro {
	margin: 20px 0 40px;
	padding: 0 20px;
}
#intro p {
	font-size: 20px;
	text-align: center;
}
#sujets {
	display: flex;
	flex-direction: column;
	gap: 20px;
	transition: opacity 0.5s;
	padding: 20px;
}
main section,
#fullscreen section {
	border-radius: 20px;
	padding: 20px;
	position: relative;
}
main section {
	cursor: pointer;
}
main section > *:first-child {
	margin-top: 20px;
}
main section p {
	display: none;
}
.button {
	position: absolute;
	width: 40px;
	height: 40px;
	display: flex;
	justify-content: center;
	align-items: center;
	border-radius: 50%;
	overflow: hidden;
	border: 0;
	box-sizing: content-box;
	transition: 0.5s;
	cursor: pointer;
}
.button.arrow {
	right: 20px;
	bottom: 20px;
	position: absolute;
	transition: 0.5s;
}
#fullscreen section .button {
	position: unset;
	width: fit-content;
	height: 40px;
	border-radius: 20px;
	line-height: 40px;
	padding: 0 30px;
	font-weight: 600;
}
@media (max-width: 640px) {
	main section,
	#fullscreen section {
		height: 500px;
	}
}
@media (min-width: 641px) {
	main section,
	#fullscreen section {
		height: 300px;
	}
}


#fullscreen {
	position: fixed;
	width: 100%;
	height: 100%;
	top: 0;
	bottom: 0;
}
#fullscreen.fullsize {
	overflow-y: auto;
	scroll-snap-type: y mandatory;
}
#fullscreen section {
	transition-duration: 0.5s;
	scroll-snap-align: start;
	/*display: none;*/
	max-width: 600px;
	margin: 0 auto;
}
#fullscreen section:first-child {
	/*display: block;*/
}
#fullscreen.fullsize section {
	height: 100%;
	top: 0 !important;
	max-width: 600px;
	margin-bottom: 1em;
}
#fullscreen section a {
	color: inherit;
}
#fullscreen section p {
	margin: 1rem 0;
}
#fullscreen section li {
	margin: 0.75em 0;
	list-style: none;
	border-left: 3px solid;
	padding-left: 0.5em;
}
#fullscreen section .rond {
	display: flex;
	justify-content: center;
	margin: 2em 0;
}
#fullscreen section .emoji {
	font-size: 3em;
	margin-top: 2rem;
	margin-bottom: 1rem;
}
#fullscreen section .statistique {
	margin: 1em 0;
}
#fullscreen section .statistique > div {
	min-width: fit-content !important;
	border: 1px solid;
	font-size: 0.8em;
	line-height: 1rem;
	margin: 3px 0;
	border-radius: 20px;
	padding: 2px 6px;
}
#fullscreen section .statistique > div:first-child {
	border: unset;
	text-align: unset;
	line-height: unset;
	margin: unset;
	font-weight: 600;
	border-radius: unset;
	padding: unset;
}
#fullscreen section .max {
	width: 100%;
	flex-grow: 1;
	overflow: hidden;
	display: flex;
	justify-content: center;
	align-items: end;
}
#fullscreen section p.reference {
	font-size: 0.9em;
}
#fullscreen section p.reference a {
	display: block;
	font-size: 1rem;
	font-weight: bold;
}
@media (max-height: 640px) {
	#fullscreen.fullsize {
		scroll-snap-type: none;
	}
	#fullscreen.fullsize section {
		height: auto;
		max-width: unset;
	}
}
@media (max-width: 640px) {
	#fullscreen.fullsize section {
		padding-left: 40px;
		padding-right: 40px;
		max-width: unset;
	}
}
@media (min-width: 641px) {
	#fullscreen.fullsize section {

	}
}
#fullscreen section h2 {
	margin: 20px 0 40px;
}
#fullscreen section h3 {
	font-size: 36px;
	margin: 30px 0 30px;
}
#fullscreen section > *:not(h2) {
	transition-duration: 0.5s;
	opacity: 0;
}
#fullscreen.fullsize section > *:not(h2) {
	opacity: 1;
}
#fullscreen .button.close {
	left: 20px;
	opacity: 0;
	cursor: pointer;
}
#fullscreen .button.arrow {
	right: 20px;
}
#fullscreen.fullsize .button.close,
#fullscreen.fullsize .button.arrow {
	opacity: 1;
	top: calc(100% - 60px) !important;
	position: fixed;
}
#fullscreen.fullsize .button.arrow {
	transform: rotate(90deg);
}
@media (max-width: 640px) {
	#fullscreen section {
		margin: 0 20px;
	}
	#fullscreen.fullsize section {
		margin: 0;
		padding-left: 40px;
		padding-right: 40px;
		border-radius: 0;
	}
	#fullscreen .button.arrow {
		right: 40px;
	}
	#fullscreen .button.close {
		left: 40px;
	}
}
@media (min-width: 641px) {
	#fullscreen .button.arrow {
		right: calc(50% - 280px);
	}
	#fullscreen .button.close {
		left: calc(50% - 280px);
	}
}


section.vertical {
	display: flex;
	flex-direction: column;
	justify-content: center;
	/*gap: 20px;*/
}
section.center {
	align-items: center;
	text-align: center;
}
section.video {
	display: flex;
	justify-content: center;
}
section.video video {
	padding-bottom: 60px;
}
